Bug 20105 - cc1plus ICE in finish_function on bad input
cc1plus ICE in finish_function on bad input
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-31 10:57 EST by Matt Wilson
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-31 10:58:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ii file for crash (1.30 MB, text/plain)
2000-10-31 10:58 EST, Matt Wilson
no flags Details

  None (edit)
Description Matt Wilson 2000-10-31 10:57:34 EST
[msw@localhost ice]$ g++ -o tmp.o docfile.ii -c
In file included from
/usr/src/oo/oo_605_src/solver/605/unxlngi3.pro/inc/svtools/svstdarr.hxx:4,
                 from
/usr/src/oo/oo_605_src/sfx2/source/doc/docfile.cxx:72:
/usr/src/oo/oo_605_src/solver/605/unxlngi3.pro/inc/svtools/svarray.hxx: In
method `SvPtrarr::~SvPtrarr 
()':
/usr/src/oo/oo_605_src/solver/605/unxlngi3.pro/inc/svtools/svarray.hxx:671:
warning: deleting `void *' 
is undefined
/usr/src/oo/oo_605_src/solver/605/unxlngi3.pro/inc/svtools/svarray.hxx: In
method 
`SvPtrarrPlain::~SvPtrarrPlain ()':
/usr/src/oo/oo_605_src/solver/605/unxlngi3.pro/inc/svtools/svarray.hxx:672:
warning: deleting `void *' 
is undefined
In file included from
/usr/src/oo/oo_605_src/sfx2/source/doc/docfile.cxx:72:
/usr/src/oo/oo_605_src/solver/605/unxlngi3.pro/inc/svtools/svstdarr.hxx: In
method `SvULongs::~SvULongs 
()':
/usr/src/oo/oo_605_src/solver/605/unxlngi3.pro/inc/svtools/svstdarr.hxx:37:
warning: deleting `void *' 
is undefined
In file included from
/usr/src/oo/oo_605_src/sfx2/source/doc/docfile.cxx:203:
../../inc/docfile.hxx: At top level:
../../inc/docfile.hxx:220: warning: `class SfxPoolCancelManager' only 
defines a private destructor and has no friends
In file included from
/usr/src/oo/oo_605_src/sfx2/source/doc/docfile.cxx:213:
../inc/ucbhelp.hxx:125: warning: `class UCB_Link_Helper' only defines a 
private destructor and has no friends
/usr/src/oo/oo_605_src/sfx2/source/doc/docfile.cxx: In method `sal_Int32
OInputStreamHelper::readBytes 
(com::sun::star::uno::Sequence<sal_Int8> &, long int)':
/usr/src/oo/oo_605_src/sfx2/source/doc/docfile.cxx:265: parse error before
`<:'
/usr/src/oo/oo_605_src/sfx2/source/doc/docfile.cxx:268: parse error before
`<:'
/usr/src/oo/oo_605_src/sfx2/source/doc/docfile.cxx:278: parse error before
`<:'
/usr/src/oo/oo_605_src/sfx2/source/doc/docfile.cxx:285: Internal error
#122.
/usr/src/oo/oo_605_src/sfx2/source/doc/docfile.cxx:285: Internal compiler
error in finish_function, at 
../gcc/cp/decl.c:14391
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

[msw@localhost ice]$ rpm -q gcc-c++
gcc-c++-2.96-62
Comment 1 Matt Wilson 2000-10-31 10:58:36 EST
Created attachment 4835 [details]
ii file for crash
Comment 2 Jakub Jelinek 2000-12-06 09:48:09 EST
gcc-c++-2.96-64 fixes this.

Note You need to log in before you can comment on or make changes to this bug.